//-----------------------------------------------------------------------------
// play2pause.m
//
// Example of a Play/Pause Script
// created by Gonzotek & Vica.
//
// modified by FrisbeeMonkey
//-----------------------------------------------------------------------------

//                         USING THIS SCRIPT:
//*****************************************************************************
//  1.  Define play and pause buttons in your XML.
//  2.  Make sure their ids are "Play" and "Pause"
//  3.  Copy this script (and play2pause.maki) to your scripts folder.
//  4.  If you don't have play2pause.maki, compile this script.
//  5.  Add this line to the group that contains your play and pause buttons:
//        <script id="play2pause" file="scripts/play2pause.maki"/>
//  6.  Refresh your skin(F5) and try it out.
//*****************************************************************************

#include ../../../lib/std.mi

Global Button Play, Pause;

System.onScriptLoaded()
{
  Group ButtonsGrp = getScriptGroup();

  Pause = ButtonsGrp.findObject("Pause");
  Play = ButtonsGrp.findObject("Play");

  Pause.hide();
  Play.hide();

  if (System.getStatus() == -1)      //Paused
  {
    Play.show();
  }
   else if (System.getStatus() == 0) //Stopped
  {
    Play.show();
  }
  else if (System.getStatus() == 1)  //Playing
  {
    Pause.show();
  }
}

System.onPlay() {
  Play.hide();
  Pause.show();
}

System.onPause() {
  Play.show();
  Pause.hide();
}

System.onStop() {
  Play.show();
  Pause.hide();
}

System.onResume() {
  Play.hide();
  Pause.show();
}
